#pragma once
#include <drogon/WebSocketController.h>
namespace renderive::web {
class Gallery_WebSocket_Controller final
: public drogon::WebSocketController<Gallery_WebSocket_Controller, false> {
public:
    void handleNewMessage(const drogon::WebSocketConnectionPtr& connection, std::string&& message, const drogon::WebSocketMessageType& type) override;
    void handleNewConnection(const drogon::HttpRequestPtr& request, const drogon::WebSocketConnectionPtr& connection) override;
    void handleConnectionClosed(const drogon::WebSocketConnectionPtr& connection) override;
    WS_PATH_LIST_BEGIN
        WS_PATH_ADD("/renderive/gallery");
    WS_PATH_LIST_END
};
} // namespace renderive::web
